part of tts;




class TestTTSPage extends StatefulWidget {
  const TestTTSPage({Key? key}) : super(key: key);

  @override
  State<TestTTSPage> createState() => _TestTTSPageState();
}

class _TestTTSPageState extends State<TestTTSPage> {
  @override
  Widget build(BuildContext context) {
    return GetBuilder(
      init: TTSController(),
      builder: (controller) => Scaffold(
          appBar: AppBar(
            title: const Text('测试语音'),
            centerTitle: true,
          ),
          body: Column(
            mainAxisAlignment: MainAxisAlignment.start,
            // crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Container(
                color: Colors.yellow,
                height: 150,
                width: double.infinity,

                // padding: const EdgeInsets.fromLTRB(10, 10, 10, 10),
                child: const Text('你好我是小助手',textAlign: TextAlign.start,style: TextStyle(
                    color: Colors.black,
                    fontSize: 18
                ),),
              ),
              GestureDetector(
                onTap: (){
                  controller.speak("中华人民共和国（the People's Republic of China），简称“中国”，成立于1949年10月1日 [1]，位于亚洲东部，太平洋西岸 [2]，是工人阶级领导的、以工农联盟为基础的人民民主专政的社会主义国家 [3]，以五星红旗为国旗 [4]、《义勇军进行曲》为国歌 [5]，国徽中间是五星照耀下的天安门，周围是谷穗和齿轮 [6] [170]，通用语言文字是普通话和规范汉字 [7]，首都北京 [8]，是一个以汉族为主体、56个民族共同组成的统一的多民族国家。中国陆地面积约960万平方千米，东部和南部大陆海岸线1.8万多千米，海域总面积约473万平方千米 [2]。海域分布有大小岛屿7600多个，其中台湾岛最大，面积35798平方千米 [2]。中国同14国接壤，与8国海上相邻。省级行政区划为23个省、5个自治区、4个直辖市、2个特别行政区。 [2]中国是世界上历史最悠久的国家之一，有着光辉灿烂的文化和光荣的革命传统 [3]，世界遗产数量全球领先 [9]。1949年新中国成立后，进入社会主义革命和建设时期，1956年实现向社会主义过渡，此后社会主义建设在探索中曲折发展 [10]。“文化大革命”结束后实行改革开放，沿着中国特色社会主义道路，集中力量进行社会主义现代化建设 [3]。经过长期努力，中国特色社会主义进入了新时代。 [11] [136]中国是世界上人口最多的发展中国家，国土面积居世界第三位，是世界第二大经济体，并持续成为世界经济增长最大的贡献者，2020年经济总量突破100万亿元 [12-13] [125]。中国坚持独立自主的和平外交政策，是联合国安全理事会常任理事国，也是许多国际组织的重要成员，被认为是潜在超级大国之一");
                },
                child: Container(
                  margin: const EdgeInsets.all(10),
                  padding: const EdgeInsets.all(20),
                  color: Colors.red,
                  child: const Text('播放'),
                ),
              ),
              GestureDetector(
                onTap: (){
                  controller.pause();
                },
                child: Container(
                  margin: const EdgeInsets.all(10),
                  padding: const EdgeInsets.all(20),
                  color: Colors.blue,
                  child: const Text('暂停'),
                ),
              )
            ],
          ),
        )
    );
  }
}
